package com.chinaitop.depot.device.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.device.mapper.StorageJsglKhxxMapper;
import com.chinaitop.depot.device.model.StorageJsglKhxx;
import com.chinaitop.depot.device.model.StorageJsglKhxxExample;
import com.chinaitop.depot.device.service.StorageJsglKhxxService;

@Service
public class StorageJsglKhxxServiceImpl implements StorageJsglKhxxService {

	@Resource
	private StorageJsglKhxxMapper storageJsglKhxxMapper;

	@Override
	public void delete(String id) throws Exception {
		storageJsglKhxxMapper.deleteByPrimaryKey(id);
	}

	@Override
	public List<StorageJsglKhxx> queryList(String zid) throws Exception {
		StorageJsglKhxxExample example = new StorageJsglKhxxExample();
		StorageJsglKhxxExample.Criteria criteria = example.createCriteria();
		criteria.andZidEqualTo(zid);
		example.setOrderByClause("cjsj");
		return storageJsglKhxxMapper.selectByExample(example);
	}

	@Override
	public void deleteByZid(String id) throws Exception {
		StorageJsglKhxxExample example = new StorageJsglKhxxExample();
		StorageJsglKhxxExample.Criteria criteria = example.createCriteria();
		criteria.andZidEqualTo(id);
		storageJsglKhxxMapper.deleteByExample(example);
	}

}
